package com.seeyon.apps.src_powerfeeinvoice.constants;

public enum PowerFeeInvoiceConstants {

    plugin("src_powerfeeinvoice","插件ID"),
    hxSecretKey("","航信密钥key"),
    hxSecretId("","航信密钥id"),
    hxPushInvoiceUrl("","航信推送发票地址"),
    formNo("","表单编号"),
    DAORGFORMNO("","DA-ORG公司信息底表编号"),
    KPRDAFORMNO("","开票人信息表单编号"),
    invoiceFormNo("","开票档案表表单编号"),
    formInsertLoginName("","表单插入登录名"),
    dfRightId("","电费表操作rightId");
    ;

    private String defaultValue;
    private String description;

    PowerFeeInvoiceConstants(String defaultValue,String description) {
        this.defaultValue = defaultValue;
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    public String getDefaultValue() {
        return defaultValue;
    }
    public static String getPluginId() {
        return plugin.defaultValue;
    }
}
